net.minecraftforge.client.event

## Class GuiScreenEvent.DrawScreenEvent

- java.lang.Object
- - cpw.mods.fml.common.eventhandler.Event
  - - net.minecraftforge.client.event.GuiScreenEvent
    - - net.minecraftforge.client.event.GuiScreenEvent.DrawScreenEvent

- Direct Known Subclasses:
    GuiScreenEvent.DrawScreenEvent.Post, GuiScreenEvent.DrawScreenEvent.Pre
  Enclosing class:
    GuiScreenEvent

      public static class GuiScreenEvent.DrawScreenEvent
      extends GuiScreenEvent

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `GuiScreenEvent.DrawScreenEvent.Post` This event fires just after `GuiScreen.drawScreen()` is called.
    `static class` | `GuiScreenEvent.DrawScreenEvent.Pre` This event fires just before `GuiScreen.drawScreen()` is called.

    - ### Nested classes/interfaces inherited from class net.minecraftforge.client.event.GuiScreenEvent

      `GuiScreenEvent.ActionPerformedEvent, GuiScreenEvent.DrawScreenEvent, GuiScreenEvent.InitGuiEvent`

    - ### Nested classes/interfaces inherited from class cpw.mods.fml.common.eventhandler.Event

      `Event.HasResult, Event.Result`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `mouseX` The x coordinate of the mouse pointer on the screen.
    `int` | `mouseY` The y coordinate of the mouse pointer on the screen.
    `float` | `renderPartialTicks` Partial render ticks elapsed.

    - ### Fields inherited from class net.minecraftforge.client.event.GuiScreenEvent

      `gui`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GuiScreenEvent.DrawScreenEvent(GuiScreen gui, int mouseX, int mouseY, float renderPartialTicks)`

  - ### Method Summary

    - ### Methods inherited from class cpw.mods.fml.common.eventhandler.Event

      `getListenerList, getResult, hasResult, isCancelable, isCanceled, setCanceled, setResult, setup`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mouseX

          public final int mouseX

      The x coordinate of the mouse pointer on the screen.

    - #### mouseY

          public final int mouseY

      The y coordinate of the mouse pointer on the screen.

    - #### renderPartialTicks

          public final float renderPartialTicks

      Partial render ticks elapsed.

  - ### Constructor Detail

    - #### GuiScreenEvent.DrawScreenEvent

          public GuiScreenEvent.DrawScreenEvent(GuiScreen gui,
                                        int mouseX,
                                        int mouseY,
                                        float renderPartialTicks)